# Proposer - Create Transaction Payload

The proposer is a fiduciary whose responsibility is to make sound financial decisions on behalf of a business and determine where funds are moving from, where to and in which amount. The reasons for sending funds may range across settlement, exchanging, staking and more.

The proposer MUST clearly define, at a minimum:

* Token Name (SOL, PYTH-SPL, ETH, BTC etc.)

* FROM address

* TO address

* Amount

The proposer must combine these values into a single message, which can be a simple JSON file, and sign it using a well known PGP key.

```json
{
    "from-address": "<address>",
    "to-address": "<address>",
    "token-name": "<name>",
    "token-amount": "<amount>"
}
```

To sign use the command:

`gpg --clearsign <filename>`